View Issue Details

IDProjectCategoryView StatusLast Update
0003252SketcherBugpublic2017-12-25 09:50
ReporterreoxAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003252: External geometry tool keeps hovered item active after leaving
DescriptionIf you select the external geometry tool in the Sketcher and hover over a face, the face will change color.
If you press now ESC or leave the external geometry tool in another way, the color will stay.
This makes reading sketches very hard.

A workaround is to select external geometry tool again and click in empty space or never leave the external geometry tool when hovering a surface.
Steps To Reproduce* Create some body (e.g. additive box)
* create a sketch on a surface
* choose external geometry
* hover over the face
* press ESC
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=3&t=25269


OS: Debian GNU/Linux testing (buster)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12560 (Git)
Build type: None
Branch: master
Hash: 71836f4b37a29c1ee54b1bd681cb9b687901cc96
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: German/Austria (de_AT)
Tagsexternal geometry, Sketch, UI

Activities

abdullah

2017-12-08 15:42

manager   ~0010544

To keep track of everything. This is a fix that has to be discussed as it affects GUI namespace which is Werner's exclusive zone:

https://github.com/abdullahtahiriyo/FreeCAD_sf_master/commit/5583c7712a16cce7b539b4771a53614066b384a2

This is the explanation of the fix and probably the arena where the discussion will unfold:

https://forum.freecadweb.org/viewtopic.php?f=10&t=25761

wmayer

2017-12-25 09:50

administrator   ~0010630

https://github.com/FreeCAD/FreeCAD/commit/1ef069292c58331569b6d24fba3c0416146e8c37
https://github.com/FreeCAD/FreeCAD/commit/c18bc414bb1ca4f3f4bb33f2e103ba744a7f0009

Issue History

Date Modified Username Field Change
2017-11-09 07:29 reox New Issue
2017-11-09 07:29 reox Tag Attached: external geometry
2017-11-09 07:29 reox Tag Attached: Sketch
2017-11-10 14:33 Kunda1 Tag Attached: UI
2017-12-08 15:40 abdullah Assigned To => abdullah
2017-12-08 15:40 abdullah Status new => assigned
2017-12-08 15:42 abdullah Note Added: 0010544
2017-12-25 09:50 wmayer Status assigned => closed
2017-12-25 09:50 wmayer Resolution open => fixed
2017-12-25 09:50 wmayer Fixed in Version => 0.17
2017-12-25 09:50 wmayer Note Added: 0010630